from Numeric import Float, sqrt
from numpy import zeros
from config import g
from scipy import sin, cos, tan, arcsin, arccos, arctan, pi

h_0 = 20.0         # depth upstream. Note that the depth downstream is 0.0
L = 2000.0         # length of stream/domain
n = 800             # number of cells
cell_len = L/n     # length of each cell
points = zeros(n+1, Float)
for i in range (n+1):
    points[i] = i*cell_len - 0.5*L


friction_slope = 0.05 #tan(delta) #0.05 # NOTE THAT friction_slope must less than bed_slope
bed_slope = 0.1 #tan(theta) #0.1      # bottom slope, positive if it is increasing bottom.
thet = arctan(bed_slope)


F2 = g*cos(thet)*cos(thet)*friction_slope
c0 = sqrt(g*h_0)   # sound speed
m = -1.0*g*bed_slope + F2   # auxiliary variable
